#version 330


in vec2 fragUV;

uniform sampler2D colorTexture;
uniform float time;
uniform float parts;

out vec4 fragColor;


void main(){
	vec2 uvs = fragUV;
	uvs.x += (1.0f / parts) * (int(mod(time * 10.0f, parts))); 
	vec3 textureColor = texture(colorTexture, uvs).rgb;
	if(textureColor.r == 0 && textureColor.g == 0 && textureColor.b == 0){
		discard;
	}

	fragColor = vec4(textureColor, 1.0f); 
}
