#version 330

in vec3 pos;
in vec3 normal;
in vec2 uv;

out vec3 worldNormal;
out vec3 worldPos;
out vec2 fragUV;
out vec4 lightPos;

uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 lightV;


void main(){
	fragUV = uv;
	worldNormal = (modelMatrix * vec4(normal, 0.0f)).xyz;
	worldPos = (modelMatrix * vec4(pos, 1.0f)).xyz;
	lightPos = projectionMatrix * lightV * modelMatrix * vec4(pos, 1.0f);
	gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(pos, 1.0f);
}